function paths = find(this, rootPath, category, varargin)
% PATHS = FIND(THIS, ROOTPATH, CATEGORY, P1, V1, ...) is a cell array containing
% the PATHS to the AUTOSAR elements matching the type CATEGORY
% starting at path ROOTPATH. Constraints may be imposed on the
% property values of the element of interest using Name-Value pairs
% P1/V1. An optional parameter 'PathType' can be used to specify
% whether the PATHS are 'FullyQualified' or 'PartiallyQualified'.
%
% Examples:
% Find all the CompuMethods Packageable elements with property Category 
% TextTable.
%
% importerObj = arxml.importer(arxml_files);
% cmPaths = importerObj.find([], 'CompuMethod', 'Category', TextTable,
%   'PathType', 'FullyQualified');
%

%   Copyright 2015 The MathWorks, Inc.

% Validate method arguments
p_update_read(this);
paths =  autosar.api.getAUTOSARProperties.find_impl(this.arModel, rootPath, category, varargin{:});
% LocalWords:   ROOTPATH Compu Packageable Sw
