function compList = getSensorActuatorComponentNames(this)
%GETSENSORACTUATORCOMPONENTNAMES returns the list of sensor-actuator component names found
%   in the XML files associated with the arxml.importer object.
%   COMPONENTNAMES = GETSENSORACTUATORCOMPONENTNAMES(IMPORTER) returns the list of 
%   sensor-actuator component names COMPONENTNAMES found in the XML files associated
%   with the arxml.importer object IMPORTER.
%
%   COMPONENTNAMES is a cell array of strings in which each element is the
%   absolute Short-Name path of the corresponding CalPrm-Component: 
%   '/root_package_name[/sub_package_name]/component_short_name'.
%
%   See also arxml.importer.createComponentAsModel

%   Copyright 2008-2011 The MathWorks, Inc.

compList = p_getcomponentnames(this, 'sensoractuator');

% LocalWords:  COMPONENTNAMES sensoractuator
